Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::DrawElementsUByte Class Reference

Inheritance diagram for osg::DrawElementsUByte:

[legend]
List of all members.

## Public Types
typedef std::vector< GLubyte > | vector_type
## Public Member Functions
| DrawElementsUByte (GLenum mode=0)
| DrawElementsUByte (const DrawElementsUByte &array, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| DrawElementsUByte (GLenum mode, unsigned int no, GLubyte *ptr)
| DrawElementsUByte (GLenum mode, unsigned int no)
virtual Object * | cloneType () const
| Clone the type of an object, with Object* return type.
virtual Object * | clone (const CopyOp &copyop) const
| Clone an object, with Object* return type.
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
virtual const GLvoid * | getDataPointer () const
virtual unsigned int | getTotalDataSize () const
virtual bool | supportsBufferObject () const
virtual void | draw (State &state, bool useVertexBufferObjects) const
virtual void | accept (PrimitiveFunctor &functor) const
virtual void | accept (PrimitiveIndexFunctor &functor) const
virtual unsigned int | getNumIndices () const
virtual unsigned int | index (unsigned int pos) const
virtual void | offsetIndices (int offset)
## Protected Types
typedef osg::buffered_value< GLuint > | GLObjectList
## Protected Member Functions
virtual | ~DrawElementsUByte ()
## Protected Attributes
GLObjectList | _vboList

## Member Typedef Documentation

typedef osg::buffered_value<GLuint> osg::DrawElementsUByte::GLObjectList`[protected]`

typedef std::vector<GLubyte> osg::DrawElementsUByte::vector_type

## Constructor & Destructor Documentation

osg::DrawElementsUByte::DrawElementsUByte | ( | GLenum | mode = 0 | ) | `[inline]`

osg::DrawElementsUByte::DrawElementsUByte | ( | const DrawElementsUByte & | array,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

osg::DrawElementsUByte::DrawElementsUByte | ( | GLenum | mode,
|  | unsigned int | no,
|  | GLubyte * | ptr
| ) | `[inline]`

osg::DrawElementsUByte::DrawElementsUByte | ( | GLenum | mode,
|  | unsigned int | no
| ) | `[inline]`

virtual osg::DrawElementsUByte::~DrawElementsUByte | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void osg::DrawElementsUByte::accept | ( | PrimitiveIndexFunctor & | functor | ) | const`[virtual]`

| Implements osg::PrimitiveSet.

virtual void osg::DrawElementsUByte::accept | ( | PrimitiveFunctor & | functor | ) | const`[virtual]`

| Implements osg::PrimitiveSet.

virtual const char* osg::DrawElementsUByte::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Reimplemented from osg::PrimitiveSet.

virtual Object* osg::DrawElementsUByte::clone | ( | const CopyOp & | copyop | ) | const`[inline, virtual]`

| Clone an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

virtual Object* osg::DrawElementsUByte::cloneType | ( |  | ) | const`[inline, virtual]`

| Clone the type of an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

virtual void osg::DrawElementsUByte::draw | ( | State & | state,
|  | bool | useVertexBufferObjects
| ) | const`[virtual]`

| Implements osg::PrimitiveSet.

virtual const GLvoid* osg::DrawElementsUByte::getDataPointer | ( |  | ) | const`[inline, virtual]`

| Reimplemented from osg::PrimitiveSet.

virtual unsigned int osg::DrawElementsUByte::getNumIndices | ( |  | ) | const`[inline, virtual]`

| Implements osg::PrimitiveSet.

virtual unsigned int osg::DrawElementsUByte::getTotalDataSize | ( |  | ) | const`[inline, virtual]`

| Reimplemented from osg::PrimitiveSet.

virtual unsigned int osg::DrawElementsUByte::index | ( | unsigned int | pos | ) | const`[inline, virtual]`

| Implements osg::PrimitiveSet.

virtual bool osg::DrawElementsUByte::isSameKindAs | ( | const Object * | obj | ) | const`[inline, virtual]`

| Reimplemented from osg::PrimitiveSet.

virtual const char* osg::DrawElementsUByte::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Reimplemented from osg::PrimitiveSet.

virtual void osg::DrawElementsUByte::offsetIndices | ( | int | offset | ) | `[virtual]`

| Implements osg::PrimitiveSet.

virtual bool osg::DrawElementsUByte::supportsBufferObject | ( |  | ) | const`[inline, virtual]`

| Reimplemented from osg::PrimitiveSet.

## Member Data Documentation

GLObjectList osg::DrawElementsUByte::_vboList`[mutable, protected]`

The documentation for this class was generated from the following file:

- PrimitiveSet